_USBInterrupt:
;USB_Driver.c,23 :: 		void USBInterrupt() iv IVT_INT_OTG_FS ics ICS_AUTO {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,24 :: 		USB_Interrupt_Proc();
BL	_USB_Interrupt_Proc+0
;USB_Driver.c,25 :: 		}
L_end_USBInterrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USBInterrupt
_USB_Init:
;USB_Driver.c,29 :: 		void USB_Init(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,33 :: 		HID_Enable(&readbuff,&writebuff);
MOVW	R1, #lo_addr(_writebuff+0)
MOVT	R1, #hi_addr(_writebuff+0)
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
BL	_HID_Enable+0
;USB_Driver.c,34 :: 		USB_TxQueueInit();
BL	_USB_TxQueueInit+0
;USB_Driver.c,36 :: 		}
L_end_USB_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USB_Init
_USB_TxQueueInit:
;USB_Driver.c,40 :: 		void USB_TxQueueInit(void) {
SUB	SP, SP, #4
;USB_Driver.c,41 :: 		USB_Queue.in = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_USB_Queue+0)
MOVT	R0, #hi_addr(_USB_Queue+0)
STRH	R1, [R0, #0]
;USB_Driver.c,42 :: 		USB_Queue.out = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
STRH	R1, [R0, #0]
;USB_Driver.c,43 :: 		}
L_end_USB_TxQueueInit:
ADD	SP, SP, #4
BX	LR
; end of _USB_TxQueueInit
_USB_PutQueue:
;USB_Driver.c,48 :: 		void USB_PutQueue(char *msg) {
; msg start address is: 0 (R0)
SUB	SP, SP, #4
; msg end address is: 0 (R0)
; msg start address is: 0 (R0)
;USB_Driver.c,49 :: 		USB_Queue.q[USB_Queue.in++] = msg;
MOVW	R3, #lo_addr(_USB_Queue+0)
MOVT	R3, #hi_addr(_USB_Queue+0)
LDRH	R1, [R3, #0]
LSLS	R2, R1, #2
MOVW	R1, #lo_addr(_USB_Queue+4)
MOVT	R1, #hi_addr(_USB_Queue+4)
ADDS	R1, R1, R2
STR	R0, [R1, #0]
; msg end address is: 0 (R0)
MOV	R1, R3
LDRH	R1, [R1, #0]
ADDS	R1, R1, #1
UXTH	R1, R1
STRH	R1, [R3, #0]
;USB_Driver.c,50 :: 		if (USB_Queue.in > (USB_Queue_Size-1))
CMP	R1, #63
IT	LS
BLS	L_USB_PutQueue0
;USB_Driver.c,51 :: 		USB_Queue.in = 0;
MOVS	R2, #0
MOVW	R1, #lo_addr(_USB_Queue+0)
MOVT	R1, #hi_addr(_USB_Queue+0)
STRH	R2, [R1, #0]
L_USB_PutQueue0:
;USB_Driver.c,52 :: 		}
L_end_USB_PutQueue:
ADD	SP, SP, #4
BX	LR
; end of _USB_PutQueue
_USB_CheckOut:
;USB_Driver.c,60 :: 		void USB_CheckOut(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,63 :: 		if (USB_Queue.in != USB_Queue.out) {          // Look for a pointer in the FIFO
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_USB_Queue+0)
MOVT	R0, #hi_addr(_USB_Queue+0)
LDRH	R0, [R0, #0]
CMP	R0, R1
IT	EQ
BEQ	L_USB_CheckOut1
;USB_Driver.c,65 :: 		if (HID_Write(USB_Queue.q[USB_Queue.out],64) != 0) {
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
LDRH	R0, [R0, #0]
LSLS	R1, R0, #2
MOVW	R0, #lo_addr(_USB_Queue+4)
MOVT	R0, #hi_addr(_USB_Queue+4)
ADDS	R0, R0, R1
LDR	R0, [R0, #0]
MOVS	R1, #64
BL	_HID_Write+0
CMP	R0, #0
IT	EQ
BEQ	L_USB_CheckOut2
;USB_Driver.c,66 :: 		USB_Queue.out++;
MOVW	R1, #lo_addr(_USB_Queue+2)
MOVT	R1, #hi_addr(_USB_Queue+2)
LDRH	R0, [R1, #0]
ADDS	R0, R0, #1
UXTH	R0, R0
STRH	R0, [R1, #0]
;USB_Driver.c,67 :: 		if (USB_Queue.out > (USB_Queue_Size-1))  // If past the end of array
CMP	R0, #63
IT	LS
BLS	L_USB_CheckOut3
;USB_Driver.c,68 :: 		USB_Queue.out = 0;                   // set pointer to start of array
MOVS	R1, #0
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
STRH	R1, [R0, #0]
L_USB_CheckOut3:
;USB_Driver.c,69 :: 		}
L_USB_CheckOut2:
;USB_Driver.c,70 :: 		}
L_USB_CheckOut1:
;USB_Driver.c,71 :: 		}
L_end_USB_CheckOut:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USB_CheckOut
_USB_CheckIn:
;USB_Driver.c,77 :: 		void USB_CheckIn(void) {
SUB	SP, SP, #32
STR	LR, [SP, #0]
;USB_Driver.c,86 :: 		if (HID_Read() != 0) {
BL	_HID_Read+0
CMP	R0, #0
IT	EQ
BEQ	L_USB_CheckIn4
;USB_Driver.c,87 :: 		switch (readbuff[0]) {
IT	AL
BAL	L_USB_CheckIn5
;USB_Driver.c,89 :: 		case 'a':  // Test to make sure USB is working
L_USB_CheckIn7:
;USB_Driver.c,90 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #8]
;USB_Driver.c,91 :: 		sprintf(BufNum,"Command a received\r\n");
MOVW	R1, #lo_addr(?lstr_1_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_1_USB_Driver+0)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #8
;USB_Driver.c,92 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #8]
BL	_USB_PutQueue+0
;USB_Driver.c,93 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,94 :: 		case 'b': // Display registers
L_USB_CheckIn8:
;USB_Driver.c,95 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #8]
;USB_Driver.c,96 :: 		sprintf(BufNum,"TIM3_PSC: %04X  TIM3_ARR: %04X\r\n",TIM3_PSC,TIM3_ARR);
MOVW	R1, #lo_addr(TIM3_ARR+0)
MOVT	R1, #hi_addr(TIM3_ARR+0)
LDR	R3, [R1, #0]
MOVW	R1, #lo_addr(TIM3_PSC+0)
MOVT	R1, #hi_addr(TIM3_PSC+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_2_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_2_USB_Driver+0)
PUSH	(R3)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #16
;USB_Driver.c,97 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #8]
BL	_USB_PutQueue+0
;USB_Driver.c,98 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,99 :: 		case 'c':  // Increment Pan servo
L_USB_CheckIn9:
;USB_Driver.c,100 :: 		IncPan(28);
MOVS	R0, #28
BL	_IncPan+0
;USB_Driver.c,101 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #8]
;USB_Driver.c,102 :: 		sprintf(BufNum,"PanVal: %d\r\n",PanVal);
MOVW	R1, #lo_addr(_PanVal+0)
MOVT	R1, #hi_addr(_PanVal+0)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_3_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_3_USB_Driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USB_Driver.c,103 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #8]
BL	_USB_PutQueue+0
;USB_Driver.c,104 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,105 :: 		case 'd':  // Decrement Pan servo
L_USB_CheckIn10:
;USB_Driver.c,106 :: 		DecPan(28);
MOVS	R0, #28
BL	_DecPan+0
;USB_Driver.c,107 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #8]
;USB_Driver.c,108 :: 		sprintf(BufNum,"PanVal: %d\r\n",PanVal);
MOVW	R1, #lo_addr(_PanVal+0)
MOVT	R1, #hi_addr(_PanVal+0)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_4_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_4_USB_Driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USB_Driver.c,109 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #8]
BL	_USB_PutQueue+0
;USB_Driver.c,110 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,111 :: 		case 'e':  // Home Pan servo
L_USB_CheckIn11:
;USB_Driver.c,112 :: 		HomePan();
BL	_HomePan+0
;USB_Driver.c,113 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #8]
;USB_Driver.c,114 :: 		sprintf(BufNum,"PanVal: %d\r\n",PanVal);
MOVW	R1, #lo_addr(_PanVal+0)
MOVT	R1, #hi_addr(_PanVal+0)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_5_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_5_USB_Driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USB_Driver.c,115 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #8]
BL	_USB_PutQueue+0
;USB_Driver.c,116 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,117 :: 		case 'f':  // Increment Tilt servo
L_USB_CheckIn12:
;USB_Driver.c,118 :: 		IncTilt(28);
MOVS	R0, #28
BL	_IncTilt+0
;USB_Driver.c,119 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #8]
;USB_Driver.c,120 :: 		sprintf(BufNum,"TiltVal: %d\r\n",TiltVal);
MOVW	R1, #lo_addr(_TiltVal+0)
MOVT	R1, #hi_addr(_TiltVal+0)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_6_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_6_USB_Driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USB_Driver.c,121 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #8]
BL	_USB_PutQueue+0
;USB_Driver.c,122 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,123 :: 		case 'g':
L_USB_CheckIn13:
;USB_Driver.c,124 :: 		DecTilt(28);  // Decrement Tilt servo
MOVS	R0, #28
BL	_DecTilt+0
;USB_Driver.c,125 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #8]
;USB_Driver.c,126 :: 		sprintf(BufNum,"TiltVal: %d\r\n",TiltVal);
MOVW	R1, #lo_addr(_TiltVal+0)
MOVT	R1, #hi_addr(_TiltVal+0)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_7_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_7_USB_Driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USB_Driver.c,127 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #8]
BL	_USB_PutQueue+0
;USB_Driver.c,128 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,129 :: 		case 'h':  // Home Tilt servo
L_USB_CheckIn14:
;USB_Driver.c,130 :: 		HomeTilt();
BL	_HomeTilt+0
;USB_Driver.c,131 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #8]
;USB_Driver.c,132 :: 		sprintf(BufNum,"TiltVal: %d\r\n",TiltVal);
MOVW	R1, #lo_addr(_TiltVal+0)
MOVT	R1, #hi_addr(_TiltVal+0)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_8_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_8_USB_Driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USB_Driver.c,133 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #8]
BL	_USB_PutQueue+0
;USB_Driver.c,134 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,135 :: 		case 'i':
L_USB_CheckIn15:
;USB_Driver.c,136 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,137 :: 		case 'j':
L_USB_CheckIn16:
;USB_Driver.c,138 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,139 :: 		case 'k':
L_USB_CheckIn17:
;USB_Driver.c,140 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,141 :: 		case 'l':
L_USB_CheckIn18:
;USB_Driver.c,142 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,143 :: 		case 'm':
L_USB_CheckIn19:
;USB_Driver.c,144 :: 		i = 0;
; i start address is: 12 (R3)
MOVS	R3, #0
SXTH	R3, R3
;USB_Driver.c,145 :: 		j = 1;
; j start address is: 8 (R2)
MOVS	R2, #1
SXTH	R2, R2
;USB_Driver.c,146 :: 		memset(BuffA,0,8);
ADD	R0, SP, #12
STRH	R2, [SP, #4]
STRH	R3, [SP, #6]
MOVS	R2, #8
SXTH	R2, R2
MOVS	R1, #0
BL	_memset+0
; j end address is: 8 (R2)
LDRSH	R3, [SP, #6]
LDRSH	R2, [SP, #4]
;USB_Driver.c,147 :: 		do {
IT	AL
BAL	L_USB_CheckIn20
L__USB_CheckIn40:
;USB_Driver.c,150 :: 		} while (In != ' ');
SXTH	R2, R7
;USB_Driver.c,147 :: 		do {
L_USB_CheckIn20:
;USB_Driver.c,148 :: 		In = BuffA[i++] = readbuff[j++];
; j start address is: 28 (R7)
; j start address is: 8 (R2)
; i start address is: 12 (R3)
ADD	R0, SP, #12
ADDS	R1, R0, R3
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
ADDS	R0, R0, R2
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
LDRB	R1, [R1, #0]
ADDS	R3, R3, #1
SXTH	R3, R3
; i end address is: 12 (R3)
ADDS	R0, R2, #1
; j end address is: 8 (R2)
; j start address is: 28 (R7)
SXTH	R7, R0
; j end address is: 28 (R7)
;USB_Driver.c,150 :: 		} while (In != ' ');
CMP	R1, #32
IT	NE
BNE	L__USB_CheckIn40
; j end address is: 28 (R7)
; i end address is: 12 (R3)
;USB_Driver.c,151 :: 		NumberA = atoi(BuffA);
; j start address is: 28 (R7)
ADD	R0, SP, #12
BL	_atoi+0
STRH	R0, [SP, #28]
;USB_Driver.c,153 :: 		i = 0;
; i start address is: 12 (R3)
MOVS	R3, #0
SXTH	R3, R3
;USB_Driver.c,154 :: 		memset(BuffB,0,8);
ADD	R0, SP, #20
STRH	R3, [SP, #4]
MOVS	R2, #8
SXTH	R2, R2
MOVS	R1, #0
BL	_memset+0
; j end address is: 28 (R7)
; i end address is: 12 (R3)
LDRSH	R3, [SP, #4]
SXTH	R2, R3
SXTH	R3, R7
;USB_Driver.c,155 :: 		do {
IT	AL
BAL	L_USB_CheckIn23
L__USB_CheckIn41:
;USB_Driver.c,158 :: 		} while (In != ' ');
;USB_Driver.c,155 :: 		do {
L_USB_CheckIn23:
;USB_Driver.c,156 :: 		In = BuffB[i++] = readbuff[j++];
; j start address is: 12 (R3)
; i start address is: 8 (R2)
; i start address is: 8 (R2)
; j start address is: 12 (R3)
ADD	R0, SP, #20
ADDS	R1, R0, R2
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
ADDS	R0, R0, R3
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
LDRB	R1, [R1, #0]
ADDS	R0, R2, #1
SXTH	R2, R0
; i end address is: 8 (R2)
ADDS	R0, R3, #1
SXTH	R3, R0
; j end address is: 12 (R3)
;USB_Driver.c,158 :: 		} while (In != ' ');
CMP	R1, #32
IT	NE
BNE	L__USB_CheckIn41
; i end address is: 8 (R2)
; j end address is: 12 (R3)
;USB_Driver.c,159 :: 		NumberB = atoi(BuffB);
ADD	R0, SP, #20
BL	_atoi+0
STRH	R0, [SP, #30]
;USB_Driver.c,162 :: 		NumberA = NumberA * 28 + 3600;
LDRSH	R1, [SP, #28]
MOVS	R0, #28
SXTH	R0, R0
MULS	R0, R1, R0
SXTH	R0, R0
ADD	R0, R0, #3600
STRH	R0, [SP, #28]
;USB_Driver.c,163 :: 		SetPan(NumberA);
BL	_SetPan+0
;USB_Driver.c,165 :: 		NumberB = NumberB * 28 + 3600;
LDRSH	R1, [SP, #30]
MOVS	R0, #28
SXTH	R0, R0
MULS	R0, R1, R0
SXTH	R0, R0
ADD	R0, R0, #3600
STRH	R0, [SP, #30]
;USB_Driver.c,166 :: 		SetTilt(NumberB);
BL	_SetTilt+0
;USB_Driver.c,168 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #8]
;USB_Driver.c,169 :: 		sprintf(BufNum,"%d %d\r\n",NumberA,NumberB);
LDRSH	R3, [SP, #30]
LDRSH	R2, [SP, #28]
MOVW	R1, #lo_addr(?lstr_9_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_9_USB_Driver+0)
PUSH	(R3)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #16
;USB_Driver.c,170 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #8]
BL	_USB_PutQueue+0
;USB_Driver.c,171 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,172 :: 		case 'n':
L_USB_CheckIn26:
;USB_Driver.c,173 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,174 :: 		case 'o':
L_USB_CheckIn27:
;USB_Driver.c,175 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,176 :: 		case 'p':
L_USB_CheckIn28:
;USB_Driver.c,177 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,178 :: 		case 'q':
L_USB_CheckIn29:
;USB_Driver.c,179 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,180 :: 		case 'r':
L_USB_CheckIn30:
;USB_Driver.c,181 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,182 :: 		case 's':
L_USB_CheckIn31:
;USB_Driver.c,183 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,184 :: 		case 't':
L_USB_CheckIn32:
;USB_Driver.c,185 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,186 :: 		case 'u':
L_USB_CheckIn33:
;USB_Driver.c,187 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,188 :: 		case 'v':
L_USB_CheckIn34:
;USB_Driver.c,189 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,190 :: 		case 'w':
L_USB_CheckIn35:
;USB_Driver.c,191 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,192 :: 		case 'x':
L_USB_CheckIn36:
;USB_Driver.c,193 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,194 :: 		case 'y':
L_USB_CheckIn37:
;USB_Driver.c,195 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,196 :: 		case 'z':
L_USB_CheckIn38:
;USB_Driver.c,197 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,201 :: 		default:
L_USB_CheckIn39:
;USB_Driver.c,202 :: 		USB_PutQueue("Unknown command\r\n");
MOVW	R0, #lo_addr(?lstr10_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr10_USB_Driver+0)
BL	_USB_PutQueue+0
;USB_Driver.c,204 :: 		BufNum = GetBuffer();  // Get a free buffer
BL	_GetBuffer+0
STR	R0, [SP, #8]
;USB_Driver.c,205 :: 		(void)sprintf(BufNum,"%c\r\n",readbuff[0]);
MOVW	R1, #lo_addr(_readbuff+0)
MOVT	R1, #hi_addr(_readbuff+0)
LDRB	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_11_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_11_USB_Driver+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USB_Driver.c,206 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #8]
BL	_USB_PutQueue+0
;USB_Driver.c,207 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,208 :: 		}
L_USB_CheckIn5:
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #97
IT	EQ
BEQ	L_USB_CheckIn7
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #98
IT	EQ
BEQ	L_USB_CheckIn8
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #99
IT	EQ
BEQ	L_USB_CheckIn9
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #100
IT	EQ
BEQ	L_USB_CheckIn10
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #101
IT	EQ
BEQ	L_USB_CheckIn11
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #102
IT	EQ
BEQ	L_USB_CheckIn12
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #103
IT	EQ
BEQ	L_USB_CheckIn13
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #104
IT	EQ
BEQ	L_USB_CheckIn14
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #105
IT	EQ
BEQ	L_USB_CheckIn15
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #106
IT	EQ
BEQ	L_USB_CheckIn16
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #107
IT	EQ
BEQ	L_USB_CheckIn17
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #108
IT	EQ
BEQ	L_USB_CheckIn18
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #109
IT	EQ
BEQ	L_USB_CheckIn19
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #110
IT	EQ
BEQ	L_USB_CheckIn26
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #111
IT	EQ
BEQ	L_USB_CheckIn27
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #112
IT	EQ
BEQ	L_USB_CheckIn28
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #113
IT	EQ
BEQ	L_USB_CheckIn29
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #114
IT	EQ
BEQ	L_USB_CheckIn30
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #115
IT	EQ
BEQ	L_USB_CheckIn31
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #116
IT	EQ
BEQ	L_USB_CheckIn32
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #117
IT	EQ
BEQ	L_USB_CheckIn33
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #118
IT	EQ
BEQ	L_USB_CheckIn34
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #119
IT	EQ
BEQ	L_USB_CheckIn35
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #120
IT	EQ
BEQ	L_USB_CheckIn36
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #121
IT	EQ
BEQ	L_USB_CheckIn37
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #122
IT	EQ
BEQ	L_USB_CheckIn38
IT	AL
BAL	L_USB_CheckIn39
L_USB_CheckIn6:
;USB_Driver.c,209 :: 		}
L_USB_CheckIn4:
;USB_Driver.c,210 :: 		}
L_end_USB_CheckIn:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of _USB_CheckIn
